Bug 501960 - (webinject) Review Request: webinject - Web/HTTP Test Tool
Review Request: webinject - Web/HTTP Test Tool
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On: 501251 501957
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2009-05-21 09:22 EDT by David Hannequin
Modified: 2011-04-17 17:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-17 17:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description David Hannequin 2009-05-21 09:22:49 EDT
Spec URL: http://hvad.cfppa-cibeins.com/webinject/webinject.spec
SRPM URL: http://hvad.cfppa-cibeins.com/webinject/webinject-1.41-1.fc10.src.rpm
Description: WebInject is a free tool for automated testing of web applications and web services. It can be used to test individual system  components that have HTTP interfaces (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms, XML/SOAP Web Services, REST, etc), and can be used as a test harness to create a suite of [HTTP level] automated functional, acceptance, and regression tests. A test harness allows you to run many test cases and collect/report your  results. WebInject offers real-time results display and may also be used for monitoring system response times.
Comment 1 David Hannequin 2009-06-02 12:11:24 EDT
	
Below links to new spec and srpm files :

Spec URL: http://hvad.cfppa-cibeins.com/webinject/webinject.spec
SRPM URL: http://hvad.cfppa-cibeins.com/webinject/webinject-1.41-2.fc10.src.rpm
Comment 2 Jan Klepek 2009-06-10 11:54:10 EDT
1] Source should be URL-like
http://fedoraproject.org/wiki/Packaging/SourceURL

2] Summary would be nicer like "web/http testing tool"

3] no desktop file present
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

4] files duplicated
http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

5] why to have all files with 0755 permissions?
http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

6] this application looks for me like dead, the latest version is from Jan 4, 2006.
Comment 3 David Hannequin 2009-06-11 03:50:15 EDT
Hi,
	
I take into account your remarks and I put a new spec file.

Thanks
Comment 4 Jan Klepek 2009-06-28 13:57:39 EDT
ping?
Comment 5 David Hannequin 2009-06-29 07:56:53 EDT
Hi, 

1] I fixed URL source.

2] I fixed summary.

3] desktop file don't work, i must read more seriously documentation (WIP).

4] I don't see duplicated file.

5] I put two files with the rights in 0755 to be executable by everyone.  

6] I use this software to routinely test the web sites and in the case of an abandonment of the application by the author I would development.  

Spec URL: http://hvad.cfppa-cibeins.com/webinject/webinject.spec
SRPM URL: http://hvad.cfppa-cibeins.com/webinject/webinject-1.41-3.fc10.src.rpm 

Sorry for the delay.
Comment 6 David Hannequin 2009-06-30 07:55:11 EDT
Hi, 

I fixed desktop file. 

Spec URL: http://hvad.cfppa-cibeins.com/webinject/webinject.spec
SRPM URL: http://hvad.cfppa-cibeins.com/webinject/webinject-1.41-4.fc10.src.rpm 

Best regard
Comment 7 Jan Klepek 2009-07-03 03:04:33 EDT
(In reply to comment #2)
> 6] this application looks for me like dead, the latest version is from Jan 4,
> 2006.  
- This my point is not valid anymore as I'm now co-developer of this project :)

- Gui package is wrongly created
put there only files related to gui (desktop file, webinjectgui.pl and other gui-only related files) and require webinject package.

- would you consider adding this patch to this package and applying it during %prep section?
http://hpejakle.fedorapeople.org/packages/bugfix.patch

this is bug fix for following issues:
https://sourceforge.net/tracker/?func=detail&aid=2807516&group_id=100145&atid=1131923
https://sourceforge.net/tracker/?func=detail&aid=2807516&group_id=100145&atid=1131923

- if you would like, i could co-maintain this fedora package.
Comment 8 David Hannequin 2009-07-03 07:59:54 EDT
(In reply to comment #7)

Hi,

> > 6] this application looks for me like dead, the latest version is from Jan 4,
> > 2006.  
> - This my point is not valid anymore as I'm now co-developer of this project :)

Great :-). 

> - Gui package is wrongly created
> put there only files related to gui (desktop file, webinjectgui.pl and other
> gui-only related files) and require webinject package.

I added require webinject in webinject-gui because webinject-gui need webinject.pl.

> - would you consider adding this patch to this package and applying it during
> %prep section?
> http://hpejakle.fedorapeople.org/packages/bugfix.patch
> 
> this is bug fix for following issues:
> https://sourceforge.net/tracker/?func=detail&aid=2807516&group_id=100145&atid=1131923
> https://sourceforge.net/tracker/?func=detail&aid=2807516&group_id=100145&atid=1131923

I try to apply your patch. 
 
> - if you would like, i could co-maintain this fedora package.  

Hum, i try to do by myself but if i'm having trouble i will seek.

Thank
Comment 9 David Hannequin 2009-07-10 05:07:57 EDT
Hi,

I fix webinjectgui. New spec file and srpm :
Spec URL: http://hvad.cfppa-cibeins.com/webinject/webinject.spec
SRPM URL: http://hvad.cfppa-cibeins.com/webinject/webinject-1.41-5.fc10.src.rpm 

Best regard
Comment 10 Jan Klepek 2009-07-18 03:51:50 EDT
1]
sed -i 's|./webinject.pl|/usr/share/webinject.pl|g' %{buildroot}%{_datadir}/%{name}/webinjectgui.pl
-> why? both (webinject and webinject-gui) will be in same directory.

2] 
useless comments
Comment 11 David Hannequin 2009-07-19 07:51:20 EDT
Hi,

1] If the file path is not complete the GUI does not work. 

I added your patch in new srpm.

Spec URL: http://hvad.cfppa-cibeins.com/webinject/webinject.spec
SRPM URL: http://hvad.cfppa-cibeins.com/webinject/webinject-1.41-6.fc10.src.rpm

Best regard

ps : sorry but i do not speak English fluently.
Comment 12 Jan Klepek 2009-07-19 08:23:07 EDT
your sed is invalid there will be never /usr/share/webinject.pl
Comment 13 David Hannequin 2009-07-19 08:37:56 EDT
I fix wrong sed :
sed -i 's|./webinject.pl|/usr/share/webinject/webinject.pl|g' %{buildroot}%{_datadir}/%{name}/webinjectgui.pl
Comment 14 Jan Klepek 2009-08-02 15:17:26 EDT
seems fine, however i will give final approval when dependencies are pushed as I want to test it before (even when it is not in "must")
Comment 15 Jan Klepek 2009-11-24 04:23:49 EST
1]
ah, just found out, could you please link do symlink from %{_bindir}/webinject to %{_datadir}/%{name}/webinject.pl
that if user type "webinject" into command line that it will start the webinject?

2] desktop file 
i disagree that this type of application should be in Graphics category
Categories=Graphics;
Comment 16 David Hannequin 2009-12-09 17:24:08 EST
Hello,
I added the symlink but you can specify in which category should be applied?
Best regard
Comment 17 Jan Klepek 2009-12-27 05:05:35 EST
Applications/Internet would be better
Comment 18 David Hannequin 2010-02-16 10:23:14 EST
Hello,

The new spec file and SRPM are the url below :

Spec URL: http://hvad.fedorapeople.org/fedora/webinject/webinject.spec

SRPM URL: http://hvad.fedorapeople.org/fedora/webinject/webinject-1.41-8.fc10.src.rpm

Best regard
Comment 19 Jan Klepek 2010-02-21 06:39:24 EST
(In reply to comment #15)
> 2] desktop file 
> i disagree that this type of application should be in Graphics category
> Categories=Graphics;    

This is still not changed to correct category in desktop file.
Comment 20 David Hannequin 2010-02-22 05:19:27 EST
Hello,

The new spec file and SRPM are the url below :

Spec URL: http://hvad.fedorapeople.org/fedora/webinject/webinject.spec

SRPM URL:
http://hvad.fedorapeople.org/fedora/webinject/webinject-1.41-9.fc10.src.rpm

Best regard
Comment 21 David Hannequin 2010-02-22 05:21:45 EST
(In reply to comment #20)
Hello,

I make a mistake in stating the URL of the SRPM. URL are correct : 

Spec URL: http://hvad.fedorapeople.org/fedora/webinject/webinject.spec
 
SRPM URL:
http://hvad.fedorapeople.org/fedora/webinject/webinject-1.41-9.fc12.src.rpm
 
Best regard
Comment 22 Jan Klepek 2010-03-15 14:58:12 EDT
still same issue, when I open src.rpm, in desktop file I still see 
Categories=Graphics;

please fix it
Comment 24 Jan Klepek 2010-03-16 03:33:13 EDT
ln should be during %install (sorry that I missed it in #c18) and it have to be relative symlink
(please use rpmlint command to check before you provide new version)
Comment 25 Jan Klepek 2010-04-20 15:55:41 EDT
David, ping?
Comment 26 David Hannequin 2010-05-05 16:41:19 EDT
Jan,
Sorry for the late reply. I try to find the correct way to have the perl script in %{_bindir}. As soon as I find I post the new file.
Comment 27 David Hannequin 2010-05-25 17:05:22 EDT
Hi,

My new spec file and srpm : 

Spec URL: http://hvad.fedorapeople.org/fedora/webinject/webinject.spec

SRPM URL:
http://hvad.fedorapeople.org/fedora/webinject/webinject-1.41-11.fc13.src.rpm

Best regard
Sorry for late...
Comment 28 Michal Ambroz 2010-08-02 18:39:40 EDT
Hello David,
it seems there is some permission problem on the files referenced. Please could you check that it is possible to download those?
Thank you
Michal Ambroz
Comment 29 David Hannequin 2010-09-28 14:20:30 EDT
Hi Michael,

I fix it.

Best regard
Comment 30 Jan Klepek 2011-03-18 07:38:19 EDT
approved

if you want, you could specify me as co-maintainer
Comment 31 Michal Ambroz 2011-04-04 13:14:01 EDT
Ping David?
Are you still interested in the webinject package? I am looking forward to see it in Fedora.
Mik
Comment 32 David Hannequin 2011-04-17 17:44:00 EDT
perl module replaces the software webinject. See  http://search.cpan.org/~nierlein/Webinject-1.66/lib/Webinject.pm

Note You need to log in before you can comment on or make changes to this bug.